--------------------------------------------------------
--  DDL for Trigger TRG_MANAGE_JOB
--------------------------------------------------------

  CREATE OR REPLACE EDITIONABLE TRIGGER "ENVX_OPER"."TRG_MANAGE_JOB" 
BEFORE INSERT OR UPDATE ON DEPLOYMENT_SCHEDULE_DETAIL 
FOR EACH ROW 
DECLARE
    v_job_accion VARCHAR2(4000);
    v_estado NUMBER := 0;
	v_nombre_job VARCHAR2(1000);
BEGIN

    pkg_deploy_coordinator.manage_dep_job (
            pi_job_n_name => :new.SCHEDULE_JOB_NAME,
            pi_job_o_name => :old.SCHEDULE_JOB_NAME,
            pi_job_status => :new.SCHEDULE_DET_STATUS,
            pi_freq       => :new.SCHEDULE_FEQUENCY,
            pi_start_date => :new.SCHEDULE_INIT_DATE
        );


END;

/
ALTER TRIGGER "ENVX_OPER"."TRG_MANAGE_JOB" DISABLE;
